Sitemap

Amicuk Programming Answers

Package javax.faces.context does not exist

2015-10-11   Views:2

Advertisement

i get the following errors when trying to compile my class package javax.faces.context does not exist package javax.faces.component does not exist package javax.faces.validator does not existi'm really new to this and i do not know what this means i

i get the following errors when trying to compile my class
package javax.faces.context does not exist
package javax.faces.component does not exist
package javax.faces.validator does not existi'm really new to this and i do not know what this means
i hope someone can help me
this is my really simple code
package  ourdemo;
import javax.faces.context.*;
import javax.faces.component.*;
import javax.faces.validator.*;
public class player
     String firstname;
     String lastname;   
     public void setfirstname(String a)
     { firstname=a; }
     public String getfirstname()
     { return firstname; }
     public void setlastname(String b)
     { lastname=b; }
     public String getlastname()
     { return lastname; }
     public void changeName()
     { lastname = firstname+" "+lastname; }             
}

The replay answer
Advertisement
Hello,
nornaly this kind of errors happens, when the compiler isn't able to find the classes which it needs to compile your sourcecode. What you have to do is to say the compiler where it can find the sourcecodes. This means you have to put the jars into you classpath. you find the jars in the lib-directory of the jsf-directory which you downloaded. after unzipping the jsf-directory you will see it.
if you use eclipse you go with you mouse to your workingdirectory, click with the right
button on that directory ,choose properties then on the left you choose " java build path" and than on the right the libraries. Here you choose " add external jars" so you will have to direct to the jars. your are done.
But if you don't use eclipse, you have to put those jars in your classpath, in the environment of windows.
bye hamid

Go to See the other 4 answers

Package javax.faces.context does not exist

Category:DefaultRelease time:2015-10-11Views:130

i get the following errors when trying to compile my class package javax.faces.context does not exist package javax.faces.component does not exist package javax.faces.validator does not existi'm really new to this and i do not know what this means i[More]

"package javax.xml .rpc does not exist" error when compiling client jar

Category:DefaultRelease time:2015-10-11Views:130

When I try to compile the web services client jar with either the clientgen or the <client> element of servicegen I get the following error "package weblogic.webservice.core.rpc does not exist" Here is the error output [servicegen] C:\Docu[More]

Package javax.servlet.http does not exist

Category:DefaultRelease time:2015-10-11Views:130

Hello All, A few problems here 1. My classpath doesnt seem to work.: .;"C:\Program Files\Apache Software Foundation\Tomcat 6.0\lib\servlet-api.jar" 2. As a result, i get many errors in my simple code, but there are still a few that are not relat[More]

Problem: package javax.servlet.jsp does not exist

Category:DefaultRelease time:2015-10-11Views:130

I am a novice JSP programmer. My projects that use any javax.servlet classes are not seeing those at all. I am working with a group of folks using Java SE 1.5. (Note: I'm using Windows so the directory separator is "\") What Used to work: 1. Nea[More]

Error:    package javax.servlet.http does not exist

Category:DefaultRelease time:2015-10-11Views:130

Hi all, How do I import javax.servlet? package com.example.web; import javax.servlet.*; import javax.servlet.http.*; import java.io.*; public class BeerSelect extends HttpServlet {   public void doPost(HttpServletRequest request,                     [More]

Package javax.xml.rpc does not exist

Category:DefaultRelease time:2015-10-11Views:130

Hi, I'm sure this is probably a basic error, which one of you Java gurus can solve instantly. I haven't used Java since 2001 and my development machine didn't even have a JDK installed until this morning! I'm trying to create a Java client for my web[More]

Package javax.microedition.midlet does not exist

Category:DefaultRelease time:2015-10-11Views:130

Hi: I am trying to run the Currency Converter MIDlet. I am using SUnONE4. I have got all the updates for the SUN ONE. When I compile the Converter directory.. i get the following errors.. which indicate that it can't find the javax.micoredition..pack[More]

Package javax.xml.messaging does not exist

Category:DefaultRelease time:2015-10-11Views:130

Hi, I have installed the Web Services Developer Pack (Version 1.1), and added the jaxm-api, jaxm-runtime, saaj-ri, and saaj-api jars to my classpath. I also added C:\jwsdp-1.1\bin to my path, and copied the jar files from C:\jwsdp-1.1\jaxp-1.2.2\lib\[More]

Package javax.microedition.media does not exist

Category:DefaultRelease time:2015-10-11Views:130

package javax.microedition.media does not exist import javax.microedition.media.*; Please tell me why this error occurs.Is it due to midlet version?Have you specified the correct setting for your MIDlet project? Note that javax.microedition.media (MM[More]

Package javax.servlet.jsp does not exist.

Category:DefaultRelease time:2015-10-11Views:130

dear all! I've one program which import javax.servlet.jsp.* as one of the package to be used in the program, and I am using j2sdk 1.4.0_01 to compiled it. However I got this error message : package javax.servlet.jsp does not exist. Where does it wron[More]

Package javax.xml.parsers does not exist

Category:DefaultRelease time:2015-10-11Views:130

When I compile the sample program for xml, DOMEcho.java, or any other xml java program, I get errors on the import statements. For all the import statements within java.xml.* I get an error message such as: package javax.xml.parsers does not exist. I[More]

Hot
installed the base system + kde + xfce + rp-pppoe, but now, if use the kde a strange error happend: Nov 9 23:32:03 Geo-Front kernel: unregister_netdevice: waiting for ppp0 to become free. Usage count = 1 the log is big if yours want, a paste, but now [More]
Windows Server 2003 R2 Standard (64) SP2 BusinessObjects XI 3.1 (any guidance on how to find the current FP applied is welcome) Reports run through infoview complete without issues, however if the same reports are scheduled with the same parameters t [More]
I have a (select statement) that returns 18 rows. wrap a nested select with a group by around it select col_a, col_b from (select statement) group by col_a, col_b still returns 18 rows as expected explain it and I see the 18 rows returned at Id 2 and [More]
When I "publish all on .Mac", iWeb generates an error related for each Site/Page iWeb have to create as folders to .Mac. I have to create the necessary folders manually directly to .Mac. iMac Core duo 2 GHz   Mac OS X (10.4.8)  I reformulate my [More]
My friends and I just came back from a vacation trip.  We all have iPhone's, and created a shared photostream (iOS7) so we all can add our photos to one place.  I would like to use iPhoto on my mac to create some photo books, presentations, etc. But [More]
what all the complex things which you faced in universe design? thanks in advanced, krishnaHi, Are you creating universe on the top of SAP query or some Database? There are so many things and hurdle one faces when creating universe. There could be fo [More]
Hello, Could i make video using trial version of adobe after effects cs6 and send it to youtube ?The only limit on the trial version is that it expires after 30 days: http://blogs.adobe.com/aftereffects/2011/04/improved-trial-version-for-after-effect [More]
Hi, I am working on a project with smart cards and JCOP 3.1.1. I am trying to run the Wallet sample demo and I am facing a wrong data error during the installation. Here are the APDU traces : cm> upload -d "D:\Eclipse\Eclipse31\workspace\wallet\bi [More]
hi i want to check the windows xp version it is 32 bit or 64 bit when my project is start. it is possible? it is very urgent. thanks dharamput _system.environmentPropList in #osversion you'll see e.g. #osVersion "Windows XP,5,1,148,2,Service Pack 3&q [More]
I have a problem with downloading the applications. I have successfully already downloaded Photoshop CC, Lightroom5, Muse CC, but I can not download any other applications due to the error. If I click on "Contact Customer Supprt",  the following [More]